Fehler nach DB Versionsupdate

  • Affected Version
    WoltLab Suite 5.5

    Guten Abend zusammen,
    nach update des Datenbankserver von MariaDB 10.6.8 auf MariaDB 10.6.9 wirft das forum komische Fehler.

    Anschließend habe ich das Update von wbb 5.4 auf wbb5.5 gemacht in der hoffnung das dies den Fehler evtl. beheben tut

    Betroffen sind unterschiedliche Aktionen unteranderen

    - PN

    - Shoutbox (bereits entfernt)

    - Foren einträge (erstellen und arbeiten )

    php wurde von 7.4 auf 8 hoch gesetzt
    Datenbankcache liegt bei 1GB

    Requested URL
    POST /index.php?ajax-proxy/&t=ff944991a1af7e230839280d1c3b824e0114c544b51ddd7e8a51b540929a4499-88UhydWb9XYd3OhBCygfjA==
    Referrer
    https://selinas-plaudertreff.de/conversation/2853-test/?messageID=13107
    Error Message
    Circular dependency detected! Cannot load category 'wcf.ajax' while it is already being loaded.
    Type
    LogicException
    File (Line)
    /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/data/language/Language.class.php (230)
    Stacktrace
    1. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/data/language/Language.class.php (119): wcf\data\language\Language->loadCategory(…)
    2. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/data/language/Language.class.php (160): wcf\data\language\Language->get(…)
    3. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/system/exception/AJAXException.class.php (164): wcf\data\language\Language->getDynamicVariable(…)
    4. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/action/TAJAXException.class.php (115): wcf\system\exception\AJAXException->__construct(…)
    5. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/action/AJAXInvokeAction.class.php (70): wcf\action\AJAXInvokeAction->throwException(…)
    6. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/system/request/Request.class.php (90): wcf\action\AJAXInvokeAction->__run(…)
    7. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/lib/system/request/RequestHandler.class.php (107): wcf\system\request\Request->execute(…)
    8. /var/www/vhosts/selinas-plaudertreff.de/httpdocs/index.php (11): wcf\system\request\RequestHandler->handle(…)

    ich kann mit dieser Fehlermeldung nichts anfangen. Cache wurde nach Update wurde entfernt. Unter anderen verabschiedet der DB Server durch bei einigen Aktionen immer wieder es ist nicht ersichtlich wieso


  • Klaus0211

    Konntest du das Problem zwischenzeitlich beheben?


    Alexander Ebert

    Welches ist die höchste MariaDB Version auf der die Suite 5.5 stabil läuft und getestet wurde?


    Aufgrund der Suite 6 muss ich mindestens auf 10.5.12 aktualisieren. Es gibt aber bereits 10.9, bei der ich mir aber nicht sicher bin, ob das eine gute Idee ist gleich so hoch zu springen.

    • New
    • Official Post

    Wir setzen selbst für woltlab.com MariaDB 10.6 LTS ein, in der WoltLab Cloud kommt MySQL 8.0 zum Einsatz. Diese beiden Versionen sind somit im produktiven Einsatz und haben sich absolut bewährt. Für die Entwicklung der Software kommt primär MySQL 8.0 zum Einsatz.


    Für den produktiven Einsatz können wir aktuell MySQL 8.0 oder MariaDB 10.6 LTS empfehlen.

    Alexander Ebert
    Senior Developer WoltLab® GmbH

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!